Doomsday Engine - Bug #1915

Click-to-focus also handled as Ul click
2014-11-28 11:31 - vermil

Status: Feedback Start date: 2014-11-28
Priority: Lowest % Done: 0%
Assignee: Deng Team

Category: User experience

Target version: Input and game controllers

Description

When one clicks on the Dday window to focus on it, that click is incorrectly interpreted by Dday as an action.

History

#1 - 2015-02-02 11:48 - skyjake
- Tags set to Ul, Input, WindowManager
- Category set to User experience

- Priority changed from Normal to Low

#2 - 2015-02-13 10:17 - skyjake

It would help if you describe the exact steps to reproduce this issue.

#3 - 2015-03-07 03:38 - danij

- Status changed from New to Feedback

| cannot replicate this on my Windows 7 dev system. As skyjake pointed out, it would be very helpful to know the steps you are taking.

#4 - 2015-03-07 03:43 - danij
- Subject changed from Focusing Dday window is interpreted as an in game action to Click-to-focus also handled as Ul click
- Status changed from Feedback to New

- Priority changed from Low to High

Further testing shows there is indeed an issue here - if one clicks to focus a presently unfocused window, while the taskbar Ul is active then the same
click is also handled as Ul click (leading to accidentally closing menus, changing settings, etc...).

Interestingly, the same does not occur if one is presently in-game - with game-pause-focuslost 0, a click-to-focus does not lead to the player firing
their weapon (with the default bindings).

#5 - 2015-11-24 19:17 - skyjake
- Status changed from New to Feedback
- Assignee set to Deng Team

- Priority changed from High to Lowest

#6 - 2017-04-03 14:05 - skyjake

- Target version set to Input and game controllers

2024-04-09 1/1



http://www.tcpdf.org

